Index: branch/sotty/Emb_App.tws
===================================================================
--- branch/sotty/Emb_App.tws	(revision 338)
+++ branch/sotty/Emb_App.tws	(revision 339)
@@ -7,11 +7,13 @@
 [GENERAL_DATA]
 [BREAKPOINTS]
 [OPEN_WORKSPACE_FILES]
+"E:\tp_info6_2018_sotty\bsp\radiocommande.c" 
 "E:\tp_info6_2018_sotty\Emb_App\crt0mr.a30" 
 "E:\tp_info6_2018_sotty\Emb_App\programme_principal_etud.c" 
 [WORKSPACE_FILE_STATES]
-"E:\tp_info6_2018_sotty\Emb_App\crt0mr.a30" 175 175 1380 431 0 1 
-"E:\tp_info6_2018_sotty\Emb_App\programme_principal_etud.c" -8 -30 1596 669 1 0 
+"E:\tp_info6_2018_sotty\Emb_App\crt0mr.a30" 125 125 1355 453 0 1 
+"E:\tp_info6_2018_sotty\Emb_App\programme_principal_etud.c" -8 -30 1596 716 1 0 
+"E:\tp_info6_2018_sotty\bsp\radiocommande.c" 150 150 1355 453 0 2 
 [LOADED_PROJECTS]
 "EmbM32C87App" 
 [END]
Index: branch/sotty/Emb_App/SessionM32C_E8a_system.ini
===================================================================
--- branch/sotty/Emb_App/SessionM32C_E8a_system.ini	(revision 338)
+++ branch/sotty/Emb_App/SessionM32C_E8a_system.ini	(revision 339)
@@ -25,4 +25,4 @@
 [Target]
 M32C E8a SYSTEM=Renesas Communications
 [USER_DATA]
-RESET=ff0032
+RESET=ff0034
Index: branch/sotty/Emb_App/SessionM32C_E8a_system.hsf
===================================================================
--- branch/sotty/Emb_App/SessionM32C_E8a_system.hsf	(revision 338)
+++ branch/sotty/Emb_App/SessionM32C_E8a_system.hsf	(revision 339)
@@ -142,7 +142,7 @@
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_EVAL_DENORMAL_MODE" "0" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_EVAL_ROUND_MODE" "0" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_0" "0000000000004044" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_1" "0000000000000120" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_1" "0000000000000020" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_10" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_11" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_12" "0000000000000000" 
@@ -149,11 +149,11 @@
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_13" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_14" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_15" "0000000000000512" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_16" "0000000000FF0584" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_16" "0000000000FF059C" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_17" "0000000000FFF800" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_18" "00000000000009A2" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_19" "00000000000007FE" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_2" "0000000000000512" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_18" "0000000000000AF0" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_19" "000000000000082A" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_2" "0000000000000001" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_20" "0000000000004044" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_21" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_22" "0000000000000000" 
@@ -173,7 +173,7 @@
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_35" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_4" "0000000000000008" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_5" "0000000000000000" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_6" "00000000000009DC" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_6" "0000000000000B26" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_7" "0000000000000512" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_8" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_9" "0000000000000000" 
@@ -199,21 +199,21 @@
 "{AC411480-6F0A-11D5-8EB6-00004CC34E9D}ECX_IMAGE_VIEW" "0,0,0,0,0,0" 
 "{AC411480-6F0A-11D5-8EB6-00004CC34E9D}ImageCtrlViews" "0" 
 "{B266D880-6FA1-11D5-8613-00A024591A38}WatchCtrlViews" "4" 
-"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ColWidth0" "237" 
+"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ColWidth0" "174" 
 "{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ColWidth1" "186" 
 "{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ColWidth12" "200" 
 "{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ColWidth2" "120" 
 "{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ColWidth3" "200" 
 "{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH" "c,buff,n,rx,flag," 
-"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH_ITEM0000" "k, 10, 0, P, Col, Hex, N" 
-"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH_ITEM0000_SCOPE" "Global," 
-"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH_ITEM0001" "k, 10, 0, P, Col, Hex, N" 
+"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH_ITEM0000" "coef, 10, 0, P, Col, Hex, N" 
+"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH_ITEM0000_SCOPE" "Current Scope," 
+"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH_ITEM0001" "distance_mur, 1, 0, P, Col, Dec, MA" 
 "{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH_ITEM0001_SCOPE" "Current Scope," 
-"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH_ITEM0002" "distance_mesuree, 1, 0, P, Col, Dec, MA" 
-"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH_ITEM0002_SCOPE" "Current Scope," 
+"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH_ITEM0002" "capteur, 1, 0, P, Col, Hex, MA" 
+"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH_ITEM0002_SCOPE" "Global," 
 "{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH_ITEM0003" "reponse, 10, 0, P, Col, Hex, N" 
 "{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH_ITEM0003_SCOPE" "Current Scope," 
-"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH_ITEMCnt" "4" 
+"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH_ITEMCnt" "3" 
 "{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd1ColWidth0" "120" 
 "{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd1ColWidth1" "150" 
 "{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd1ColWidth12" "200" 
@@ -283,14 +283,14 @@
 0 
 [WINDOW_POSITION_STATE_DATA_VD1]
 "Help" "TOOLBAR 0" 59419 2 4 "0.00" 0 0 0 0 0 17 0 "" "0.0" 
-"{WK_00000001_CmdLine}" "WINDOW" 59422 0 1 "0.08" 235 0 0 350 200 17 0 "32771|32772|32778|<<separator>>|32773|32774|<<separator>>|32820|<<separator>>|32801|32824" "0.0" 
+"{WK_00000001_CmdLine}" "WINDOW" 59422 0 1 "0.07" 188 0 0 350 200 17 0 "32771|32772|32778|<<separator>>|32773|32774|<<separator>>|32820|<<separator>>|32801|32824" "0.0" 
 "{WK_00000001_DISASSEMBLY}" "WINDOW" 0 0 0 "0.00" 0 -4 -30 948 486 9 0 "" "0.0" 
-"{WK_00000001_EVENT}EmbM32C87AppSessionM32C_E8a_system" "WINDOW" 59422 0 0 "0.11" 235 0 0 350 200 18 0 "32774|32775|32777|<<separator>>|32780|<<separator>>" "0.0" 
+"{WK_00000001_EVENT}EmbM32C87AppSessionM32C_E8a_system" "WINDOW" 59422 0 0 "0.11" 188 0 0 350 200 18 0 "32774|32775|32777|<<separator>>|32780|<<separator>>" "0.0" 
 "{WK_00000001_MEMORY}EmbM32C87AppSessionM32C_E8a_system" "WINDOW" 59422 0 1 "0.23" 365 2 -1 350 200 2065 0 "42202|42203|42204|42233|<<separator>>|42206|42205|42230|42229|42207|<<separator>>|42208|42209|42210|49076|42228|42227|<<separator>>|42231|42232|42234|42235|<<separator>>|42211|<<separator>>|32796|32797" "0.0" 
-"{WK_00000001_OUTPUT}" "WINDOW" 59422 0 2 "0.29" 235 0 0 350 200 18 0 "36756|36757|36758|36759|<<separator>>|36746|36747|<<separator>>|39531|<<separator>>|39500|39534|<<separator>>|36687" "0.0" 
-"{WK_00000001_PDMR}EmbM32C87AppSessionM32C_E8a_system" "WINDOW" 59422 0 3 "0.10" 235 0 0 350 200 18 0 "47300|47301|47302|47303|47304|47305|47314|47306|47307|47308|47311|47312|47313|42211|42509|42303" "0.0" 
+"{WK_00000001_OUTPUT}" "WINDOW" 59422 0 2 "0.49" 188 0 0 350 200 18 0 "36756|36757|36758|36759|<<separator>>|36746|36747|<<separator>>|39531|<<separator>>|39500|39534|<<separator>>|36687" "0.0" 
+"{WK_00000001_PDMR}EmbM32C87AppSessionM32C_E8a_system" "WINDOW" 59422 0 3 "0.20" 188 0 0 350 200 18 0 "47300|47301|47302|47303|47304|47305|47314|47306|47307|47308|47311|47312|47313|42211|42509|42303" "0.0" 
 "{WK_00000001_REGISTERS}EmbM32C87AppSessionM32C_E8a_system" "WINDOW" 59421 0 0 "1.00" 236 0 0 350 200 2065 0 "" "0.0" 
-"{WK_00000001_WATCH}EmbM32C87AppSessionM32C_E8a_system" "WINDOW" 59422 0 4 "0.50" 235 0 0 350 200 18 0 "32781|32783|<<separator>>|32771|32772|32773|<<separator>>|32786|<<separator>>|32810|32811" "0.0" 
+"{WK_00000001_WATCH}EmbM32C87AppSessionM32C_E8a_system" "WINDOW" 59422 0 4 "0.20" 188 0 0 350 200 18 0 "32781|32783|<<separator>>|32771|32772|32773|<<separator>>|32786|<<separator>>|32810|32811" "0.0" 
 "{WK_00000002_WORKSPACE}" "WINDOW" 59420 0 0 "1.00" 308 0 0 350 200 18 0 "" "0.0" 
 "{WK_TB00000001_STANDARD}" "TOOLBAR 0" 59419 0 2 "0.00" 0 0 0 0 0 18 0 "" "0.0" 
 "{WK_TB00000002_EDITOR}" "TOOLBAR 0" 59419 0 0 "0.00" 0 0 0 0 0 18 0 "" "0.0" 
@@ -315,11 +315,9 @@
 [WINDOW_POSITION_STATE_DATA_VD3]
 [WINDOW_POSITION_STATE_DATA_VD4]
 [WINDOW_Z_ORDER]
+"E:\tp_info6_2018_sotty\Emb_App\programme_principal_etud.c" 
 "E:\tp_info6_2018_sotty\Emb_App\crt0mr.a30" 
-"E:\tp_info6_2018_sotty\Emb_App\programme_principal_etud.c" 
-"E:\tp_info6_2018_sotty\Emb_App\conf_noyau.cfg" 
-"E:\tp_info6_2018_sotty\bsp\periph.c" 
-"E:\tp_info6_2018_sotty\bsp\uart0.c" 
+"E:\tp_info6_2018_sotty\bsp\radiocommande.c" 
 [TARGET_NAME]
 "M32C E8a SYSTEM" "" 0 
 [STATUSBAR_STATEINFO_VD1]
@@ -366,5 +364,5 @@
 [FLASH_DETAILS]
 "" 0 0 "" 0 "" 0 0 "" 0 0 0 0 0 0 0 "" "" "" "" "" 
 [BREAKPOINTS]
-"d:\profs\tp_info14_travail\tp_info14\emb_app\programme_principal_etud.c" 95 91096424 1 "{00000000-0000-0000-C000-000000000046}" "" 
+"d:\profs\tp_info14_travail\tp_info14\emb_app\programme_principal_etud.c" 95 95487264 1 "{00000000-0000-0000-C000-000000000046}" "" 
 [END]
Index: branch/sotty/Emb_App/programme_principal_etud.c
===================================================================
--- branch/sotty/Emb_App/programme_principal_etud.c	(revision 338)
+++ branch/sotty/Emb_App/programme_principal_etud.c	(revision 339)
@@ -129,17 +129,22 @@
 #define MODE_COURSE 'M'
 #define INFO_CAPTEUR 'C'
 
+//Definition des couleurs de piste
+#define PISTE_VERTE 1
+#define PISTE_BLEUE 2
+#define PISTE_ROUGE 3
+#define PISTE_NOIRE 4
 
-void init(void);
-void rotation_tourelle(short angle);
+void couleur_piste(void);
+void rotation_tourelle(unsigned int angle);
 int position_tourelle(void);
 void asserv_tourelle(VP_INT stacd);
 short distance_telemetre(void);
-void vitesse_roue(char vitesse);
-void angle_roue(short angle);
+void vitesse_roue(unsigned int vitesse);
+void angle_roue(unsigned int angle);
 void asserv_roue(VP_INT stacd);
-int send_requete(unsigned char id_periph);
-void send_commande(unsigned char id_periph, short val);
+unsigned int send_requete(unsigned char id_periph);
+void send_commande(unsigned char id_periph, unsigned int val);
 
 
 short distance_mur = 0;
@@ -146,79 +151,125 @@
 short angle_tourelle = 450;
 
 const short vit_max = 30;
-short vit_roue = 15;
+unsigned int vit_roue = 15;//*
 short K_roue = 1;
 short ang_roue = 0;
 short capteur = 0;
 
-char num_piste;
+char num_piste = -1;
 
 
 void main()
 {
 	int k;
-	
-	init();
 
+	//Initialise tous les peripheriques, taches et cycliques handler
+	ports_mcu();
+    lcd_init();
+	periph_init();
+	periph_nom("#Camobile*");
+    can_init();
+    clavier_init(1);
+	capture_init();
+	sta_tsk(ID_periph_rx);
+	sta_cyc(ID_acqui);
+	dly_tsk(100);
+	sta_tsk(ID_asserv_tourelle);
+
 	//Obtention de la couleur du feu
-	while ( (send_requete('M')>>15)==0 ){ //Attente que le feu soit vert
+	while ( (send_requete(MODE_COURSE)>>15)==0 ){ //Attente que le feu soit vert  //**
 		dly_tsk(50);
 	}
 
 	sta_tsk(ID_asserv_roue);
-	for(k=1 ; k<=vit_max ; k++) {
-		vit_roue = k;
+	for(k=1 ; k<=vit_max ; k++) {//*
+		vit_roue = k;//**
 		dly_tsk(100);
 	}
 
-	//Obtention de la piste
-    num_piste = send_requete('M') & 0x00FF;
-
     while(1)
     {
+		couleur_piste();
 		LED_J=1;
 		dly_tsk(100);
 		LED_J=0;
 		dly_tsk(100);
+		
     }
 }
 
+void couleur_piste(void){
+	//Obtention de la piste
+    num_piste = send_requete(MODE_COURSE) & 0x00FF;
+}
+
 void maj_variables(void){
 	static int k;
-	
-	//Angle des roues 
+
+	if (Bp_G == 1){LED_R = 1;} //si bouton poussoire gauche appuyé allumer led rouge
+	else{LED_R = 0;}
+
+	//Angle des roues necessaire pour toutes les pistes
 	distance_mur = distance_telemetre()*sin(3.1415*angle_tourelle/1800.0);
-	if(distance_mur > 1000 || distance_mur < 0) {	//Trou dans le mur
+	if(distance_mur > 1000 || distance_mur < 0) {	//Trou dans le mur  //**
 		ang_roue = 0;
 	}
 	else {
-		ang_roue = K_roue*(distance_mur-500);
+		ang_roue = (K_roue*(distance_mur-500));//**
 	}
-	capteur = send_requete(INFO_CAPTEUR);
-	if(capteur == 0x6301){ //Capteur perso avant bosse rouge
-		ang_roue = 0;	
-		vit_roue = 45;
+
+	switch(num_piste){
+	    case PISTE_VERTE :
+
+            break;
+
+        case PISTE_BLEUE :
+
+            break;
+
+        case PISTE_ROUGE :
+			capteur = send_requete(INFO_CAPTEUR);//**
+			if(capteur == 0x6301){ //Capteur perso avant bosse rouge
+				ang_roue = 0;//*****
+				vit_roue = 45;
+			}
+			if(capteur == 0x4203){ //Capteur apres bosse rouge
+				vit_roue = 8;
+			}
+			if(capteur == 0x6304){	// Capteur perso apres bosse rouge
+				for(k=vit_roue*3 ; k<=(vit_max-5)*3 ; k++) {//***
+					vit_roue = k/3;//***
+				}
+			}
+			if(capteur == 0x4304){	// Capteur avant fin
+				vit_roue = vit_max;
+			}
+            break;
+
+        case PISTE_NOIRE :
+            capteur = send_requete(INFO_CAPTEUR);//**
+            break;
 	}
-	if(capteur == 0x4203){ //Capteur apres bosse rouge
-		vit_roue = 10;
-	}
-	if(capteur == 0x6304){	// Capteur perso apres bosse rouge
-		for(k=vit_roue ; k<=vit_max ; k++) {
-			vit_roue = k;
-		}
-	}
-	
+
+
+	//Detection de couleur
+	//8 bits de poids fort : couleur ('C','R','J','B' ou 'V')
+	if((capteur && 0x0100) == 0x0100){} //Capteur cyan ? //********
+    if((capteur && 0x0200) == 0x0200){} //Capteur rouge ?
+    if((capteur && 0x0300) == 0x0300){} //Capteur jaune ?
+    if((capteur && 0x0400) == 0x0400){} //Capteur bleu ?
+    if((capteur && 0x0500) == 0x0500){} //Capteur vert ?
 }
 
 void asserv_roue(VP_INT stacd){
 //Maintient de la voiture au centre de la piste
 	while(1){
-		maj_variables();
-		
+		maj_variables();//***
+
 		angle_roue(ang_roue);
-		vitesse_roue(vit_roue);
-		
-		dly_tsk(50);
+		vitesse_roue(vit_roue);//****
+
+		dly_tsk(25);//**50
 	}
 }
 
@@ -225,13 +276,13 @@
 void asserv_tourelle(VP_INT stacd){
 //Maintient de la tourelle orientee a 45 degre
 	CanFrame comm;
-	short vitesse_tourelle;
+	unsigned int vitesse_tourelle;
 	char K = 2;
 
 	while(1){
 		vitesse_tourelle =	K*(angle_tourelle - position_tourelle());
 		send_commande(VITESSE_TOURELLE, vitesse_tourelle);
-		dly_tsk(50);
+		dly_tsk(25);//**
 	}
 }
 
@@ -239,7 +290,7 @@
 
 
 
-void rotation_tourelle(short angle){
+void rotation_tourelle(unsigned int angle){
 	send_commande(VITESSE_TOURELLE,angle);
 }
 
@@ -259,33 +310,33 @@
 	return distance;
 }
 
-void vitesse_roue(char vitesse){
+void vitesse_roue(unsigned int vitesse){
 	send_commande(VITESSE_ROUES,vitesse);
 }
 
-void angle_roue(short angle){
+void angle_roue(unsigned int angle){
 	send_commande(ANGLE_ROUES,angle);
 }
 
-int send_requete(unsigned char id_periph){
+unsigned int send_requete(unsigned char id_periph){//**
 	//Envoi la requete correspondant a lidentifiant id_periph
 	CanFrame req;
-	int val;
+	unsigned int val;
 	UINT flag;
 
 	req.data.id = id_periph;
 	req.data.rtr = 1; // envoie d'une requete de lecture
-	periph[ADDR(id_periph)].ev = 0x01; //declenche un evenement quand mise a jour du peripherique id_periph
-	//dly_tsk(5);
-	
+	//periph[ADDR(id_periph)].ev = 0x01; //declenche un evenement quand mise a jour du peripherique id_periph
+	dly_tsk(5);
+
 	snd_dtq(CanTx, req.msg); // attente de la reponse
-	wai_flg(ev_periph, 0x01, TWF_ANDW, &flag);
-	periph[ADDR(id_periph)].ev = 0x00;
+	//wai_flg(ev_periph, 0x01, TWF_ANDW, &flag);
+	//periph[ADDR(id_periph)].ev = 0x00;
 	val = periph[ADDR(id_periph)].val;
 	return val;
 }
 
-void send_commande(unsigned char id_periph, short val){
+void send_commande(unsigned char id_periph, unsigned int val){//**
 	//Envoi la commande correspondant a lidentifiant id_periph avec la valeur val
 	CanFrame comm;
 
@@ -300,23 +351,3 @@
 	LED_V = !LED_V;
 }
 
-void init(void) {
-	//Initialise tous les peripheriques, taches et cycliques handler
-
-	ports_mcu();
-    lcd_init();
-	periph_init();
-	periph_nom("#Camobile*");
-
-    can_init();
-    clavier_init(1);
-	capture_init();
-
-
-	sta_tsk(ID_periph_rx);
-	sta_cyc(ID_acqui);
-	dly_tsk(100);
-	sta_tsk(ID_asserv_tourelle);
-	
-	
-}
\ No newline at end of file